Bug 1652716 (CVE-2018-19396) - CVE-2018-19396 php: Serializing or unserializing COM objects crashes
Summary: CVE-2018-19396 php: Serializing or unserializing COM objects crashes
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-19396
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1652717
TreeView+ depends on / blocked
 
Reported: 2018-11-22 17:21 UTC by Pedro Sampaio
Modified: 2019-09-29 15:03 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-26 22:10:16 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2018-11-22 17:21:25 UTC
ext/standard/var_unserializer.c in PHP 5.x through 7.1.24 allows attackers to cause a denial of service (application crash) via an unserialize call for the com, dotnet, or variant class.

References:

https://bugs.php.net/bug.php?id=77177

Comment 1 Remi Collet 2018-11-23 06:45:30 UTC
Notice:

This issue is about serialization, so not considered as a security issue

See warning on http://php.net/manual/en/function.unserialize.php

COM extension is Windows only

Comment 2 Tomas Hoger 2018-11-26 22:10:16 UTC
Upstream commit:

http://git.php.net/?p=php-src.git;a=commitdiff;h=115ee49b0be12e3df7d2c7027609fbe1a1297e42

As noted in the previous comment, this only affects COM extension that is only available for Windows versions of PHP and hence this does not affect any Red Hat shipped PHP packages.


Note You need to log in before you can comment on or make changes to this bug.